QGIS Application - Bug report #9770
Removal of nodes can create invalid linestrings
2014-03-12 09:27 AM - faustino alarcon

Status: Closed
Priority: High
Assignee:

Category: Digitising

Affected QGIS version:2.2.0
Operating System: GNU/Linux
Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution: fixed/implemented

Copied to github as #: 18312

Description

In QGIS 2.2 after deleting node of a linestring with only 2 vertices on a postgis layer and saving that, the layer disappears. And now has

lines with one vertex...?

In that case following query returns rows: SELECT sum(ST_NPoints(the_geom)) as count_nodes,gid FROM way_err group by gid

having sum(ST_NPoints(the_geom))=1

When those records are deleted the layer goes back to normal in QGIS.

In QGIS 2.0 in the same layer does not allow the vertex removal.

Regards
Anibal

Related issues:

Duplicated by QGIS Application - Bug report # 10684: crasher: selecting nodes...

Closed 2014-06-23

History

#1 - 2014-03-12 11:21 AM - Jiirgen Fischer

- Tracker changed from Feature request to Bug report
- Crashes QGIS or corrupts data set to No

- Affected QGIS version set to 2.2.0

- Subject changed from Deleting a vertex in layer to Removal of nodes can create invalid linestrings

#2 - 2014-06-28 07:36 AM - Jiirgen Fischer

- Target version changed from Version 2.2 to Future Release - Lower Priority

#3 - 2014-10-26 09:53 AM - Jiirgen Fischer
- Category changed from Vectors to Digitising

#4 - 2015-02-13 02:03 PM - Jiirgen Fischer
- Resolution set to fixed/implemented
- Status changed from Open to Closed

duplicated by #10684
